commit: 7b5f979d9114daed630e661f577dce5deb7178b4
Author: Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Sun Jul 13 19:02:49 2025 +0000
Commit: Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Sun Jul 13 19:29:06 2025 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=7b5f979d
dev-python/pypdf: Bump to 5.8.0
Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>
dev-python/pypdf/Manifest | 1 +
dev-python/pypdf/pypdf-5.8.0.ebuild | 51 +++++++++++++++++++++++++++++++++++++
2 files changed, 52 insertions(+)
diff --git a/dev-python/pypdf/Manifest b/dev-python/pypdf/Manifest
index fe2ad0a5ade9..9b6f5c5c52f4 100644
--- a/dev-python/pypdf/Manifest
+++ b/dev-python/pypdf/Manifest
@@ -1,3 +1,4 @@
DIST pypdf-5.6.1.gh.tar.gz 8061244 BLAKE2B
ce7aaf9e42fe9be23cd34d293cd13aeb26a34885f9934177faad52ab9e0c98065e9c77f95175429ae05a1e7b46d4b4c2bcede209e944ba671e3f097f30b51bb0
SHA512
0abfe61c240c66ba20c1f1714d02aa2d0f1d235c2ba878ac3641a585093af82ebbb925ce7df73d4649d249ba3ef48ace64b480083f669c161319bf24c1030a6a
DIST pypdf-5.7.0.gh.tar.gz 8064655 BLAKE2B
07136de7c9b13a61b2b7e971d06424bcb990e249f4a0298cedaaeba7034c5ef17c003e2e2662e4a7ca30213f334f34e7e4da2beb28c6f24350ca3f924bcdc3be
SHA512
b112237b5f65c01be7613564f551ec8923813c379514df6a6340327be3d764e1bc000b928c3f1083e74a3d19b73ea39b46958b5ff5bd53f370161593c2cc7b56
+DIST pypdf-5.8.0.gh.tar.gz 8067499 BLAKE2B
f751305906f3eb67fcea972437efd52cea4a8eeaf31ed789f30539f3f07fdcaf6ab6c4b5c61f9dc1371116019ebf58c07510ca4f9bb1c6fc255bf6c7264ac7da
SHA512
f7a18f52b2c13d2471b777937834849843251c742bb25767094b2de77cf8de59ebe5ce93b9447d22d7d0d7f0bef7ad3e56dfc0b9d8ae736935229b5896e2b75f
DIST pypdf-sample-files-8c405ece5eff12396a34a1fae3276132002e1753.gh.tar.gz
11748093 BLAKE2B
c5989200893b28a3c2062bb024a5cfc6f3389dc259ec129857979fa43469e1274559612b4d555499e2c7e16cf34be07825229932bf4d147fa6d7324d043e97d5
SHA512
c9771129b7668a2fd1fa79bb859ae9213f3d60341cf1b9937ff0eaab0de9bf4c35adcb7b896e93329038dc0f3809a0c697c523f8fe41b43030b0b029a88058e3
diff --git a/dev-python/pypdf/pypdf-5.8.0.ebuild
b/dev-python/pypdf/pypdf-5.8.0.ebuild
new file mode 100644
index 000000000000..7e8501141955
--- /dev/null
+++ b/dev-python/pypdf/pypdf-5.8.0.ebuild
@@ -0,0 +1,51 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=flit
+PYTHON_COMPAT=( python3_{11..14} )
+
+inherit distutils-r1
+
+SAMPLE_COMMIT=8c405ece5eff12396a34a1fae3276132002e1753
+DESCRIPTION="Python library to work with PDF files"
+HOMEPAGE="
+ https://pypi.org/project/pypdf/
+ https://github.com/py-pdf/pypdf/
+"
+SRC_URI="
+ https://github.com/py-pdf/pypdf/archive/${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+ test? (
+
https://github.com/py-pdf/sample-files/archive/${SAMPLE_COMMIT}.tar.gz
+ -> ${PN}-sample-files-${SAMPLE_COMMIT}.gh.tar.gz
+ )
+"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc64 ~riscv ~x86"
+
+BDEPEND="
+ test? (
+ dev-python/cryptography[${PYTHON_USEDEP}]
+
>=dev-python/pillow-8.0.0[jpeg,jpeg2k,tiff,zlib,${PYTHON_USEDEP}]
+ dev-python/pyyaml[${PYTHON_USEDEP}]
+ )
+"
+
+EPYTEST_PLUGINS=()
+EPYTEST_XDIST=1
+distutils_enable_tests pytest
+
+src_unpack() {
+ default
+ if use test; then
+ mv "sample-files-${SAMPLE_COMMIT}"/* "${S}"/sample-files/ || die
+ fi
+}
+
+python_test() {
+ epytest -o addopts= -m "not enable_socket"
+}